## Kindergarten Geometry

![The Alphabet of Things](/150812-Alphabet_of_Things.jpg)

### Historical background

The geometry of Euclid was supplemented in the nineteenth and twentieth centuries by various more exotic geometries.

1. In 1892, Gino Fano introduced *finite* geometries. These were abstract structures defined axiomatically. They were unrelated, so far as anyone knew at the time, to any actual *physical* structures.

2. Earlier, in 1838, educator Friedrich Fröbel had introduced his "third gift," a boxed set of eight identical cubical  unmarked kindergarten blocks.

3. Still earlier, in 1830, Galois had introduced *finite* (or, now, *Galois*) *fields*, a new type of number systems that would later prove widely useful.

4. Galois also introduced permutation *groups*, a very basic and important concept with which we assume the reader is familiar.

Any reader who is *not* familiar with any of these four concepts can easily find them described in detail elsewhere.

This article describes a combination of the four concepts.

### Electrical engineering background - Boolean spaces and Karnaugh maps

### Permutations of unit cells as noncontinuous transformations

### Structures considered

We will consider the geometric properties of the following structures — 

1. A 2x2 array of square unit cells
2. A 2x2x2 array of unit cubes
3. A 4x4 array of square unit cells
4. A 4x6 array of square unit cells,
   split into three 4x2 "bricks"
5. A 4x4x4 array of unit cubes

Coordinates formed from the two-element Galois field GF(2) may be applied to each of these in such a way that the resulting labeled structures have large and interesting symmetry groups. In the case of the 4x6 array, it is useful to view coordinates in each 4x2 brick not as 3-tuples formed from GF(2), but rather as elements of the field GF(8). 



